Get Appliances

Get Appliances

Get Certificate Management Appliances

Request
URI
GET
https://{api_host}/hybridity/api//ztp/domains/{domainName}/security/appliances
COPY
Path Parameters
string
domainName
Required

domainName


Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns certificateManagementAppliancesResponse of type(s) application/json
{
    "appliances": [
        {
            "name": "string",
            "type": "string",
            "status": "string",
            "issuedOn": 0,
            "validUpto": 0,
            "issuer": "string",
            "certificateStatus": "string"
        }
    ]
}
appliances
Optional

appliances


400

Bad Request

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors